com.atid.lib.module.barcode.spc.type

## Enum MSICheckCharacter

- java.lang.Object
- - java.lang.Enum<MSICheckCharacter>
  - - com.atid.lib.module.barcode.spc.type.MSICheckCharacter

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<MSICheckCharacter>

      public enum MSICheckCharacter
      extends java.lang.Enum<MSICheckCharacter>
      implements IEnumType

  Different types of check characters are used with MSI bar codes. You can program the scanner to read MSI bar codes with Type 10 check characters. Default = Validate Type 10, but Don’t Transmit. When Check Character is set to Validate Type 10/11 and Transmit, the scanner will only read MSI bar codes printed with the specified type check character(s), and will transmit the character(s) at the end of the scanned data. When Check Character is set to Validate Type 10/11, but Don’t Transmit, the unit will only read MSI bar codes printed with the specified type check character(s), but will not transmit the check character(s) with the scanned data.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DisableMSICheckCharacters`
    `Validate2Type10CharsandTransmit`
    `Validate2Type10CharsbutDonotTransmit`
    `ValidateTyp10butDonotTransmit`
    `ValidateType10andTransmit`
    `ValidateType10thenType11CharandTransmit`
    `ValidateType10thenType11CharbutDonotTransmit`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static MSICheckCharacter` | `valueOf(int code)`
    `static MSICheckCharacter` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MSICheckCharacter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ValidateTyp10butDonotTransmit

          public static final MSICheckCharacter ValidateTyp10butDonotTransmit

    - #### ValidateType10andTransmit

          public static final MSICheckCharacter ValidateType10andTransmit

    - #### Validate2Type10CharsbutDonotTransmit

          public static final MSICheckCharacter Validate2Type10CharsbutDonotTransmit

    - #### Validate2Type10CharsandTransmit

          public static final MSICheckCharacter Validate2Type10CharsandTransmit

    - #### ValidateType10thenType11CharbutDonotTransmit

          public static final MSICheckCharacter ValidateType10thenType11CharbutDonotTransmit

    - #### ValidateType10thenType11CharandTransmit

          public static final MSICheckCharacter ValidateType10thenType11CharandTransmit

    - #### DisableMSICheckCharacters

          public static final MSICheckCharacter DisableMSICheckCharacters

  - ### Method Detail

    - #### values

          public static MSICheckCharacter[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MSICheckCharacter c : MSICheckCharacter.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MSICheckCharacter valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<MSICheckCharacter>`

    - #### valueOf

          public static MSICheckCharacter valueOf(int code)